# $Revision: 1.21 $, $Date: 2008/07/27 22:46:59 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	RPM
%define		pnam	Perlonly
Summary:	RPM::Perlonly - a Perl only implementaion of a RPM header reader
Summary(pl.UTF-8):	RPM::Perlonly - czysto perlowa implementacja czytnika nagłówków RPM
Name:		perl-RPM-Perlonly
Version:	1.0.1
Release:	4
# same as perl or LGPL
License:	LGPL or GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a7e064ae957326cfe3b584a3ca6e535f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl-RPM-Perlonly is a clone of RPM::Header written in only Perl, so
it provides a way to read a RPM package on systems where RPM is not
installed. Perl-RPM-Perlonly can used as a drop in replacement for
RPM::Header, if needed also the other way round.

%description -l pl.UTF-8
Moduł RPM-Perlonly to klon RPM::Header napisany w samym Perlu, przez
co pozwala odczytywać pakiety RPM na systemach bez zainstalowanego
RPM-a. RPM-Perlonly może być w razie potrzeby używany jako zamiennik
RPM::Header.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RPM-Perlonly.spec,v $
Revision 1.21  2008/07/27 22:46:59  arekm
- release 4

Revision 1.20  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:41  paladine
- formatting

Revision 1.17  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.16  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.15  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 20:01:31  radek
- typo in comment

Revision 1.13  2004/04/27 21:44:54  ankry
- license fixes, cosmetics

Revision 1.12  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.11  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:41:45  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:37:52  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/27 13:26:13  ankry
- version 1.0.1, release 1

Revision 1.2  2002/08/14 23:39:39  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
